Skip to main content
`Ctrl`+`K`

# SNESFASSetContinuation

Sets the `SNESFAS` cycle to default to using exact Newton solves on the upsweep

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetContinuation(SNES snes, PetscBool continuation)

Logically Collective

## Input Parameters

- snes - the `SNESFAS` nonlinear multigrid context

- continuation - whether to use continuation

## Options Database Key

- -snes_fas_continuation - sets continuation to true

## Note

This sets the prefix on the upsweep smoothers to -fas_continuation

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetNumberSmoothUp()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages